org.springframework.web.socket.config.annotation

## Class ServletWebSocketHandlerRegistration

- java.lang.Object
- - org.springframework.web.socket.config.annotation.AbstractWebSocketHandlerRegistration<org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>>
  - - org.springframework.web.socket.config.annotation.ServletWebSocketHandlerRegistration

All Implemented Interfaces:
  WebSocketHandlerRegistration

    public class ServletWebSocketHandlerRegistration
    extends AbstractWebSocketHandlerRegistration<org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>>

A helper class for configuring `WebSocketHandler` request handling including SockJS fallback options.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`ServletWebSocketHandlerRegistration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addSockJsServiceMapping(org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String> mappings, SockJsService sockJsService, WebSocketHandler handler, String pathPattern)`
`protected void` `addWebSocketHandlerMapping(org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String> mappings, WebSocketHandler webSocketHandler, HandshakeHandler handshakeHandler, HandshakeInterceptor[] interceptors, String path)`
`protected org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>` `createMappings()`

### Methods inherited from class org.springframework.web.socket.config.annotation.AbstractWebSocketHandlerRegistration

`addHandler, addInterceptors, getHandshakeHandler, getInterceptors, getMappings, getSockJsServiceRegistration, setAllowedOrigins, setHandshakeHandler, withSockJS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletWebSocketHandlerRegistration

    public ServletWebSocketHandlerRegistration()

### Method Detail

#### createMappings

    protected org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String> createMappings()

Specified by:
  `createMappings` in class `AbstractWebSocketHandlerRegistration<org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>>`

#### addSockJsServiceMapping

    protected void addSockJsServiceMapping(org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String> mappings,
                                           SockJsService sockJsService,
                                           WebSocketHandler handler,
                                           String pathPattern)

Specified by:
  `addSockJsServiceMapping` in class `AbstractWebSocketHandlerRegistration<org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>>`

#### addWebSocketHandlerMapping

    protected void addWebSocketHandlerMapping(org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String> mappings,
                                              WebSocketHandler webSocketHandler,
                                              HandshakeHandler handshakeHandler,
                                              HandshakeInterceptor[] interceptors,
                                              String path)

Specified by:
  `addWebSocketHandlerMapping` in class `AbstractWebSocketHandlerRegistration<org.springframework.util.MultiValueMap<org.springframework.web.HttpRequestHandler,String>>`